Transient Designer and Transient Designer Plus are different plugins with different parameters, so their presets are not compatible. If you have a session populated with Transient Designer, you will need to keep an installation of the older version on any system in which that session will be opened. If you want to replace the old version completely with the new, you will have to manually replicate your settings on the updated plugin.